Bug 150883 - xcdroast spec file missing BuildRequires
Summary: xcdroast spec file missing BuildRequires
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: xcdroast   
(Show other bugs)
Version: 4.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Harald Hoyer
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-11 17:05 UTC by Andrew Gormanly
Modified: 2015-01-08 00:09 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-02 15:29:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Andrew Gormanly 2005-03-11 17:05:57 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.3) Gecko/20050104 Red Hat/1.4.3-3.0.7

Description of problem:
The spec file for xcdroast is missing some buildrequires.

Version-Release number of selected component (if applicable):
xcdroast-0.98a15-6

How reproducible:
Always

Steps to Reproduce:
1. rpmbuild -ba SPECS/xcdroast.spec
2.
3.
  

Actual Results:  Without glib-devel and gtk+devel installed:

# rpmbuild -ba SPECS/xcdroast.spec
[...]
./configure: line 5008: syntax error near unexpected token `1.2.3,,'
./configure: line 5008: `               AM_PATH_GLIB(1.2.3,, { { echo "$as_me:$LINENO: error: Test for GLIB failed. See the file 'INSTALL' for help." >&5'
make: *** [config.status] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.9547 (%build)
 
Fixed by:
# up2date glib-devel

but then have:

# rpmbuild -ba SPECS/xcdroast.spec
[...]
./configure: line 5329: syntax error near unexpected token `1.2.3,,'
./configure: line 5329: `               AM_PATH_GTK(1.2.3,, { { echo "$as_me:$LINENO: error: Test for GTK failed. See the file 'INSTALL' for help." >&5'
make: *** [config.status] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.59246 (%build)

until
# up2date gtk+-devel

at which point the compile works.


Expected Results:  spec file should produce the binary RPM.

Additional info:

Actual fix is one line in the spec file:

BuildRequires: glib-devel >= 1.2.3, gtk+-devel >= 1.2.3

Comment 1 Harald Hoyer 2005-04-21 16:12:44 UTC
the correct fix is to remove it from configure.in


Note You need to log in before you can comment on or make changes to this bug.